Subject: feedback on X.509 / PKI secure email support

From: Ed Gerck <[email-masked]>
Date: Tue, 06 Dec 2005 22:57:07 -0800

http://email-security.net/papers/pki-pgp-ibe.htm

Greetings.

I would like feedback (by private email) on a list of desirable
secure email features as well as a list of attacks or problems, with
a corresponding score card for the secure email technologies X.509 /
PKI, PGP and IBE. The paper is at
http://email-security.net/papers/pki-pgp-ibe.htm

One of the motivations for this approach is to help develop a common
yardstick. Comparing these systems has been like comparing apples with
speedboats and wingbats. A speedboat is a bad apple, and so on.

The list of desirable secure email features and the list of attacks /
problems might also be useful for this WG, in terms of certificate
capabilities to support secure email.

Cheers,
Ed Gerck